zxdg_popup_v6_listener Struct Reference
The zxdg_popup_v6 interface

`#include <xdg-shell-unstable-v6-client-protocol.h>`

## Data Fields

void(* | configure )(void *data, struct zxdg_popup_v6 *zxdg_popup_v6, int32_t x, int32_t y, int32_t width, int32_t height)
void(* | popup_done )(void *data, struct zxdg_popup_v6 *zxdg_popup_v6)

## Detailed Description

Definition at line 1591 of file xdg-shell-unstable-v6-client-protocol.h.

## Field Documentation

## configure

void(* zxdg_popup_v6_listener::configure) (void *data, struct zxdg_popup_v6 *zxdg_popup_v6, int32_t x, int32_t y, int32_t width, int32_t height)

configure the popup surface

This event asks the popup surface to configure itself given the configuration. The configured state should not be applied immediately. See xdg_surface.configure for details.

The x and y arguments represent the position the popup was placed at given the xdg_positioner rule, relative to the upper left corner of the window geometry of the parent surface.

Parameters

  x | x position relative to parent surface window geometry
  y | y position relative to parent surface window geometry
  width | window geometry width
  height | window geometry height

Definition at line 1607 of file xdg-shell-unstable-v6-client-protocol.h.

## popup_done

void(* zxdg_popup_v6_listener::popup_done) (void *data, struct zxdg_popup_v6 *zxdg_popup_v6)

popup interaction is done

The popup_done event is sent out when a popup is dismissed by the compositor. The client should destroy the xdg_popup object at this point.

Definition at line 1620 of file xdg-shell-unstable-v6-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/xdg-shell-unstable-v6-client-protocol.h